> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# recurrenceweekcycle

> MDO provider for the hard-coded list of week cycle alternatives in the recurrence dialog.

## "recurrenceweekcycle" MDO List

MDO provider for the hard-coded list of week cycle alternatives in the recurrence dialog.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.RecurrenceWeekCycleProvider">RecurrenceWeekCycleProvider</see> class.
The name of the MDO list is 'recurrenceweekcycle'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/recurrenceweekcycle
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("recurrenceweekcycle", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name | StyleHint | ExtraInfo |
| -- | ---- | --------- | --------- |
| 1  | 1    |           |           |
| 2  | 2    |           |           |
| 3  | 3    |           |           |
| 4  | 4    |           |           |
| 5  | 5    |           |           |
| 6  | 6    |           |           |
| 7  | 7    |           |           |
| 8  | 8    |           |           |
| 9  | 9    |           |           |
| 10 | 10   |           |           |

## Related MDO Lists

* "recurrenceweekcycleheadings"
* "recurrenceweekcycleheadingswithallitem"
* "recurrenceweekcycleheadingswithallitemwithnoselection"
* "recurrenceweekcycleheadingswithnoselection"
* "recurrenceweekcyclewithallitem"
* "recurrenceweekcyclewithallitemwithnoselection"
* "recurrenceweekcyclewithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
